Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler
Class AbstractHandler

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler

All Implemented Interfaces:
  LifeCycle, Handler

Direct Known Subclasses:
  AbstractHandlerContainer, DefaultHandler, ErrorHandler, ManyContexts.HelloHandler, ManyHandlers.HelloHandler, ManyHandlers.ParamHandler, OneContext.HelloHandler, OneHandler.HelloHandler, ResourceHandler, ServletHandler

    public abstract class AbstractHandler

extends AbstractLifeCycle
implements Handler

AbstractHandler.

Author:
  gregw

Field Summary
`protected String` | `_string`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`AbstractHandler()`

Method Summary
`void` | `destroy()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`Server` | `getServer()`
`void` | `setServer(Server server)`
`String` | `toString()`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.Handler
`handle`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Field Detail

### _string

    protected String _string

Constructor Detail

### AbstractHandler

    public AbstractHandler()

Method Detail

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `Exception`

### doStop

    protected void doStop()
                   throws Exception

  Overrides:
    `doStop` in class `AbstractLifeCycle`
  Throws:
    `Exception`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setServer

    public void setServer(Server server)

  Specified by:
    `setServer` in interface `Handler`

### getServer

    public Server getServer()

  Specified by:
    `getServer` in interface `Handler`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Handler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.